mjlab.actuator
==============

.. automodule:: mjlab.actuator

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`Actuator`
  - :class:`ActuatorCfg`
  - :class:`ActuatorCmd`
  - :class:`BuiltinActuatorGroup`
  - :class:`BuiltinMotorActuator`
  - :class:`BuiltinMotorActuatorCfg`
  - :class:`BuiltinPositionActuator`
  - :class:`BuiltinPositionActuatorCfg`
  - :class:`BuiltinVelocityActuator`
  - :class:`BuiltinVelocityActuatorCfg`
  - :class:`BuiltinPdActuator`
  - :class:`BuiltinPdActuatorCfg`
  - :class:`BuiltinDcMotorActuator`
  - :class:`BuiltinDcMotorActuatorCfg`
  - :class:`DcMotorInputMode`
  - :class:`DcMotorDatasheetParams`
  - :class:`DcMotorPhysicalParams`
  - :class:`BuiltinMuscleActuator`
  - :class:`BuiltinMuscleActuatorCfg`
  - :class:`XmlActuator`
  - :class:`XmlActuatorCfg`
  - :class:`IdealPdActuator`
  - :class:`IdealPdActuatorCfg`
  - :class:`DcMotorActuator`
  - :class:`DcMotorActuatorCfg`
  - :class:`LearnedMlpActuator`
  - :class:`LearnedMlpActuatorCfg`

Base
----

.. autoclass:: Actuator
  :members:
  :show-inheritance:

.. autoclass:: ActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: ActuatorCmd
  :members:
  :exclude-members: __init__
  :undoc-members:

Builtin Actuators
-----------------

.. autoclass:: BuiltinActuatorGroup
  :members:
  :show-inheritance:

.. autoclass:: BuiltinMotorActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinMotorActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: BuiltinPositionActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinPositionActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: BuiltinVelocityActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinVelocityActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: BuiltinPdActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinPdActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: BuiltinDcMotorActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinDcMotorActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

.. autoclass:: DcMotorInputMode
  :members:
  :show-inheritance:

.. autoclass:: DcMotorDatasheetParams
  :members:
  :exclude-members: __init__
  :undoc-members:

.. autoclass:: DcMotorPhysicalParams
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: BuiltinMuscleActuator
  :members:
  :show-inheritance:

.. autoclass:: BuiltinMuscleActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

XML Actuators
-------------

.. autoclass:: XmlActuator
  :members:
  :show-inheritance:

.. autoclass:: XmlActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Ideal PD Actuator
-----------------

.. autoclass:: IdealPdActuator
  :members:
  :show-inheritance:

.. autoclass:: IdealPdActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

DC Motor Actuator
-----------------

.. autoclass:: DcMotorActuator
  :members:
  :show-inheritance:

.. autoclass:: DcMotorActuatorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Learned MLP Actuator
--------------------

.. autoclass:: LearnedMlpActuator
  :members:
  :show-inheritance:

.. autoclass:: LearnedMlpActuatorCfg
  :members:
  :exclude-members: __init__
